Subject: Re: bug#19482: Changing to big font cause display problem

From: 张海君 <[email-masked]>
Date: Sun, 22 Feb 2015 20:27:13 +0800

> 在 2015年2月22日，19:32，martin rudalics <[email-masked]> 写道：
> 
>> That's the fact. Emacs doesn't know the real size of frame and is using a wrong frame size.
>> This must be the cause of the display problem.
> 
> So it seems that we have located the bug now.
> 
>>> Indeed.  The problem is to find out what the limits are.
> 
> First we have to find out whether and how your window manager does tell
> us the limits and/or why Emacs apparently ignores them.
> 
>> I will try the Emacs 25.
> 
> Fine.  I'll tell you what to do when you're ready.
> 
> martin

I just installed Emacs 25. It seems that this bug is fixed in this version. 
Download from: http://emacsformacosx.com/emacs-builds/Emacs-2015-02-21_01-40-42-3ebf063-universal.dmg

After issuing (set-frame-font "Menlo:size=30"), the dumped result:
---------------------------------------------------------------
frame pixel: 1553 x 844   cols/lines: 88 x 24   units: 18 x 35
frame text pixel: 1533 x 840   cols/lines: 85 x 24
tool: 0  scroll: 0/0  fringe: 16  border: 2  right: 0  bottom: 0

#<window 3 on *scratch*>   parent: nil
pixel left: 0   top: 0   size: 1549 x 805   new: 476
char left: 0   top: 0   size: 86 x 23   new: 33
normal: 1.0 x 1.0   new: nil
body pixel: 1533 x 770   char: 85 x 22
width left fringe: 8  left margin: 0  right margin: 0
width right fringe: 8  scroll-bar: 0  divider: 0
height header-line: 0  mode-line: 35  divider: 0

#<window 4 on  *Minibuf-0*>   parent: nil
pixel left: 0   top: 805   size: 1549 x 35   new: 0
char left: 0   top: 23   size: 1549 x 1   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 1533 x 35   char: 85 x 1
width left fringe: 8  left margin: 0  right margin: 0
width right fringe: 8  scroll-bar: 0  divider: 0
height header-line: 0  mode-line: 0  divider: 0

Thank you.